﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="WebHierarchicalDataGrid_Manual_Crud.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register Assembly="Infragistics35.Web.v10.3, Version=10.3.20103.1013, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Manual Crud Sample</title>
</head>
<body>
    <form id="form1" runat="server">
   
    <h3  style="margin: 25px;">WebHierarchicalDataGrid Manual Crud Operations</h3>

    <div style="margin: 25px;">
        <asp:ScriptManager runat="server">
        </asp:ScriptManager>
        <ig:WebHierarchicalDataGrid ID="WebHierarchicalDataGrid1" runat="server" Width="98%"
            InitialDataBindDepth="-1" AutoGenerateColumns="false" OnRowUpdating="WebHierarchicalDataGrid1_RowUpdating">
            <Columns>
                <ig:TemplateDataField Key="DeleteItem" Width="70px">
                    <ItemTemplate>
                        <asp:Button Text="Delete" ID="Button1" runat="server" OnClientClick="DeleteParentRow(); return false;" />
                    </ItemTemplate>
                </ig:TemplateDataField>
                <ig:BoundDataField DataFieldName="ActorID" Key="ActorID" Header-Text="Actor ID">
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="Name" Key="Name" Header-Text="Name">
                </ig:BoundDataField>
            </Columns>
            <Bands>
                <ig:Band DataKeyFields="MovieID" DataMember="Movies" Key="MovieID" AutoGenerateColumns="false">
                    <Columns>
                        <ig:TemplateDataField Key="DeleteItem" Width="70px">
                            <ItemTemplate>
                                <asp:Button Text="Delete" ID="Button1" runat="server" OnClientClick="DeleteChildRow(); return false;" />
                            </ItemTemplate>
                        </ig:TemplateDataField>
                        <ig:BoundDataField DataFieldName="MovieID" Key="Movie ID" Header-Text="MovieID">
                        </ig:BoundDataField>
                        <ig:BoundDataField DataFieldName="Title" Key="Title" Header-Text="Title">
                        </ig:BoundDataField>
                        <ig:BoundDataField DataFieldName="Year" Key="Year" Header-Text="Year">
                        </ig:BoundDataField>
                    </Columns>
                </ig:Band>
            </Bands>
            <Behaviors>
                <ig:EditingCore Enabled="true" EnableInheritance="true" AutoCRUD="false">
                    <Behaviors>
                        <ig:CellEditing Enabled="true" EditModeActions-EnableF2="true" EnableInheritance="true">
                            <ColumnSettings>
                                <ig:EditingColumnSetting ColumnKey="ActorID" ReadOnly="true" />
                            </ColumnSettings>
                        </ig:CellEditing>
                        <ig:RowAdding EnableInheritance="true">
                            <ColumnSettings>
                                <ig:RowAddingColumnSetting ColumnKey="ActorID" ReadOnly="true" />
                            </ColumnSettings>
                        </ig:RowAdding>
                        <ig:RowDeleting EnableInheritance="true" />
                    </Behaviors>
                </ig:EditingCore>
                <ig:Selection RowSelectType="Single" CellClickAction="Row" />
            </Behaviors>
        </ig:WebHierarchicalDataGrid>

        <script type="text/javascript"">
        function DeleteParentRow() {
            var grid = $find('<%= this.WebHierarchicalDataGrid1.ClientID %>');
            var gridRows = grid.get_gridView().get_rows();

            var selectedRows = grid.get_gridView().get_behaviors().get_selection().get_selectedRows();
            for (var i = selectedRows.get_length() - 1; i >= 0; i--) {
                var row = selectedRows.getItem(i);
                gridRows.remove(row);
            }
        }

        function DeleteChildRow() {
            var grid = $find('<%= this.WebHierarchicalDataGrid1.ClientID %>');
            var gridRows = grid.get_gridView().get_rows();
            var childRows = [];
            var selectedRows = [];

            for (var i = 0; i < gridRows.get_length(); i++) {
                childRows[i] = gridRows.get_row(i).get_rowIslands()[0].get_rows();
                selectedRows[i] = gridRows.get_row(i).get_rowIslands()[0].get_behaviors().get_selection().get_selectedRows();
            }
            for (var i = 0; i < gridRows.get_length(); i++) {
                for (var j = selectedRows[i].get_length() - 1; j >= 0; j--) {
                    childRows[i].remove(selectedRows[i].getItem(j));
                }
            }

        }

        </script>

    </div>
    </form>
</body>
</html>
